#ifndef FISH_H
#define FISH_H

#include <QVector3D>
#include <QOpenGLExtraFunctions>


struct Fish {
	QVector3D position;
	QVector3D velocity;
	float size;
	float range;

	void animate(float dt);
	bool isCloseTo(const QVector3D &point);
	void display(QOpenGLExtraFunctions *glf);
};


#endif