attribute vec3 position;
attribute vec2 uv;

varying vec2 fragment_uv;

uniform mat4 projection;
uniform mat4 view;
uniform mat4 model;

void main() {
	fragment_uv = uv;
	gl_Position = projection * view * model * vec4(position, 1);
}
